vector.c(3)

NAME
vector.c - Vector functions.

SYNOPSIS

#include <config.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_vector_st

  Functions
wget_vector * wget_vector_create (int max, wget_vector_compare_fn *cmp)
void wget_vector_set_resize_factor (wget_vector *v, float factor)
int wget_vector_insert (wget_vector *v, const void *elem, int pos)
int wget_vector_insert_sorted (wget_vector *v, const void *elem)
int wget_vector_add_memdup (wget_vector *v, const void *elem, size_t size)
int wget_vector_add (wget_vector *v, const void *elem)
int wget_vector_add_vprintf (wget_vector *v, const char *fmt, va_list args)
int wget_vector_add_printf (wget_vector *v, const char *fmt,...)
int wget_vector_replace (wget_vector *v, const void *elem, int pos)
int wget_vector_remove (wget_vector *v, int pos)
int wget_vector_remove_nofree (wget_vector *v, int pos)
int wget_vector_move (wget_vector *v, int old_pos, int new_pos)
int wget_vector_swap (wget_vector *v, int pos1, int pos2)
void wget_vector_free (wget_vector **v)
void wget_vector_clear (wget_vector *v)
void wget_vector_clear_nofree (wget_vector *v)
int wget_vector_size (const wget_vector *v)
void * wget_vector_get (const wget_vector *v, int pos)
int wget_vector_browse (const wget_vector *v, wget_vector_browse_fn *browse, void *ctx)
void wget_vector_setcmpfunc (wget_vector *v, wget_vector_compare_fn *cmp)
void wget_vector_set_destructor (wget_vector *v, wget_vector_destructor *destructor)
void wget_vector_sort (wget_vector *v)
int wget_vector_find (const wget_vector *v, const void *elem)
bool wget_vector_contains (const wget_vector *v, const void *elem)
int wget_vector_findext (const wget_vector *v, int start, int direction, wget_vector_find_fn *find)

Detailed Description

Vector functions.

Author

Generated automatically by Doxygen for wget2 from the source code.